API ReferenceOrganization

Org usage summaryv3.1

POST
/api/v3.1/org/usage/summary

Aggregated metering usage for the authenticated organization. By default includes all projects; use filters.project_id to restrict to one or more projects (must belong to the org). Values are summed from raw metering events grouped by entity_type.

Authorization

OrgApiKeyAuth
x-org-api-key<token>

Organization API key authentication

In: header

Request Body

application/json

fromnumber

Inclusive range start (Unix epoch milliseconds). Defaults to 30 days before to.

tonumber

Exclusive range end (Unix epoch milliseconds). Defaults to now.

entity_typesarray of string

Filter to these metering entity types. Omit for all types.

filtersobject

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/org/usage/summary"body = """{}"""response = requests.request("POST", url, data = body, headers = {  "Content-Type": "application/json"})print(response.text)
{  "entities": {    "property1": {      "unit": "string",      "total_quantity": "string",      "event_count": 0    },    "property2": {      "unit": "string",      "total_quantity": "string",      "event_count": 0    }  },  "instant_charge": "string"}